# class TkWarningObj

dialog for warning

### Public Class Methods

new(parent = nil, mes = nil) click to toggle source
Calls superclass method

    # File lib/tk/dialog.rb, line 281
    def initialize(parent = nil, mes = nil)
      if !mes
        if parent.kind_of?(TkWindow)
          mes = ""
        else
          mes = parent.to_s
          parent = nil
        end
      end
      super(parent, :message=>mes)
    end

### Public Instance Methods

show(mes = nil) click to toggle source
Calls superclass method TkDialogObj.show

    # File lib/tk/dialog.rb, line 293
    def show(mes = nil)
      mes_bup = @message
      @message = mes if mes
      ret = super()
      @message = mes_bup
      ret
    end

### Private Instance Methods

bitmap() click to toggle source

    # File lib/tk/dialog.rb, line 307
    def bitmap
      return "warning";
    end

buttons() click to toggle source

    # File lib/tk/dialog.rb, line 313
    def buttons
      return "OK";
    end

default_button() click to toggle source

    # File lib/tk/dialog.rb, line 310
    def default_button
      return 0;
    end

title() click to toggle source

    # File lib/tk/dialog.rb, line 304
    def title
      return "WARNING";
    end